
%KOKBUL Summary of this function goes here
%   Detailed explanation goes here
clc
clear
deltax=0.001;

f = inline('(x-1).^2-20')

%deger_index=120;
deger=-1;%x(deger_index);
k=1;
while(abs(f(deger))>0.001)
%for k=1:15
    hata=((deger-1).^2-20)
    deger
     cizdir(k)=deger;
    k=k+1;
    
    egim=(f(deger+0.1)-f(deger))/0.1;
    deger=deger-sign(f(deger))*f(deger)/egim;
   
    
end
k 
hata=((deger-1).^2-20) 

deger

stem(cizdir)


